Bullet Collision Detection & Physics Library: btSoftBodyHelpers.cpp File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
btSoftBodyHelpers.cpp File Reference
`#include "btSoftBodyInternals.h"`
`#include <stdio.h>`
`#include <string>`
`#include <iostream>`
`#include <iomanip>`
`#include <sstream>`
`#include <string.h>`
`#include <algorithm>`
`#include "btSoftBodyHelpers.h"`
`#include "LinearMath/btConvexHull.h"`
`#include "LinearMath/btConvexHullComputer.h"`
`#include <map>`
`#include <vector>`
Include dependency graph for btSoftBodyHelpers.cpp:

Go to the source code of this file.

## Classes
class | LinkDeps_t

## Macros
#define | USE_NEW_CONVEX_HULL_COMPUTER
#define | REOP_NOT_DEPENDENT -1
#define | REOP_NODE_COMPLETE -2
#define | IDX(_x_, _y_) ((_y_)*rx + (_x_))
#define | IDX(_x_, _y_) ((_y_)*maxidx + (_x_))

## Typedefs
typedef LinkDeps_t * | LinkDepsPtr_t

## Functions
static void | drawVertex (btIDebugDraw *idraw, const btVector3 &x, btScalar s, const btVector3 &c)
| btSoftBodyHelpers.cpp by Nathanael Presson
static void | drawBox (btIDebugDraw *idraw, const btVector3 &mins, const btVector3 &maxs, const btVector3 &color)
static void | drawTree (btIDebugDraw *idraw, const btDbvtNode *node, int depth, const btVector3 &ncolor, const btVector3 &lcolor, int mindepth, int maxdepth)
template<typename T >
static T | sum (const btAlignedObjectArray< T > &items)
template<typename T , typename Q >
static void | add (btAlignedObjectArray< T > &items, const Q &value)
template<typename T , typename Q >
static void | mul (btAlignedObjectArray< T > &items, const Q &value)
template<typename T >
static T | average (const btAlignedObjectArray< T > &items)
static int | nextLine (const char *buffer)

## Macro Definition Documentation

## ◆ IDX [1/3]

#define IDX | ( |  | _x_,
|  |  | _y_
| ) |  | ((_y_)*rx + (_x_))

## ◆ IDX [2/3]

#define IDX | ( |  | _x_,
|  |  | _y_
| ) |  | ((_y_)*rx + (_x_))

## ◆ IDX [3/3]

#define IDX | ( |  | _x_,
|  |  | _y_
| ) |  | ((_y_)*maxidx + (_x_))

## ◆ REOP_NODE_COMPLETE

#define REOP_NODE_COMPLETE -2

Definition at line 541 of file btSoftBodyHelpers.cpp.

## ◆ REOP_NOT_DEPENDENT

#define REOP_NOT_DEPENDENT -1

Definition at line 540 of file btSoftBodyHelpers.cpp.

## ◆ USE_NEW_CONVEX_HULL_COMPUTER

#define USE_NEW_CONVEX_HULL_COMPUTER

## Typedef Documentation

## ◆ LinkDepsPtr_t

typedef LinkDeps_t* LinkDepsPtr_t

Definition at line 537 of file btSoftBodyHelpers.cpp.

## Function Documentation

## ◆ add()

template<typename T , typename Q >

static void add | ( | btAlignedObjectArray< T > & | items,
|  | const Q & | value
| ) |  |
| inlinestatic

Definition at line 111 of file btSoftBodyHelpers.cpp.

## ◆ average()

template<typename T >

static T average | ( | const btAlignedObjectArray< T > & | items | ) |
| inlinestatic

Definition at line 131 of file btSoftBodyHelpers.cpp.

## ◆ drawBox()

static void drawBox | ( | btIDebugDraw * | idraw,
|  | const btVector3 & | mins,
|  | const btVector3 & | maxs,
|  | const btVector3 & | color
| ) |  |
| static

Definition at line 40 of file btSoftBodyHelpers.cpp.

## ◆ drawTree()

static void drawTree | ( | btIDebugDraw * | idraw,
|  | const btDbvtNode * | node,
|  | int | depth,
|  | const btVector3 & | ncolor,
|  | const btVector3 & | lcolor,
|  | int | mindepth,
|  | int | maxdepth
| ) |  |
| static

Definition at line 68 of file btSoftBodyHelpers.cpp.

## ◆ drawVertex()

static void drawVertex | ( | btIDebugDraw * | idraw,
|  | const btVector3 & | x,
|  | btScalar | s,
|  | const btVector3 & | c
| ) |  |
| static

btSoftBodyHelpers.cpp by Nathanael Presson

Definition at line 31 of file btSoftBodyHelpers.cpp.

## ◆ mul()

template<typename T , typename Q >

static void mul | ( | btAlignedObjectArray< T > & | items,
|  | const Q & | value
| ) |  |
| inlinestatic

Definition at line 121 of file btSoftBodyHelpers.cpp.

## ◆ nextLine()

static int nextLine | ( | const char * | buffer | ) |
| static

Definition at line 1122 of file btSoftBodyHelpers.cpp.

## ◆ sum()

template<typename T >

static T sum | ( | const btAlignedObjectArray< T > & | items | ) |
| inlinestatic

Definition at line 95 of file btSoftBodyHelpers.cpp.